View Issue Details

IDProjectCategoryView StatusLast Update
0017389MediaMonkey 5Main Panelpublic2021-02-04 21:39
ReporterLudek Assigned To 
PriorityhighSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.1Fixed in Version5.0 
Summary0017389: Duplicate content view is not refreshed after signature calc (for some users)
DescriptionI cannot replicate, but LowLander indicated that the 'Duplicate Content' view is not refreshed once the signatures calculation thread has finished.

Debug log at ~61341
TagsNo tags attached.
Fixed in build2303

Relationships

related to 0017483 closedLudek Track views don't refresh correctly on edits (regression) 
related to 0017334 closedlowlander Duplicate content functionality is broken for tracks analyzed in MM4 

Activities

Ludek

2021-01-15 11:41

developer   ~0061373

Last edited: 2021-01-15 11:47

View 5 revisions

In your debug log at ~61341 seeing that the auto-update has been performed, the debug line:
00005969 1:35:33 PM [24444] MM5 [23660](R) Autoupdate filling method took 0 ms , list type: tracklist, count: 33 -> 44, created ago: 59203ms, stack: Callstack: Script: file:///viewHandlers.js ; Func: __refreshTracklist ; Row: 196 ; Col: 57

i.e. it auto-updated the list from 33 tracks to 44 tracks just before the 'Calculating signatures' thread finished:
00005986 1:35:36 PM [24444] MM5 [18064](R) Thread 'AutoCalcNormalization_Var' is going to callback

Are you sure that it wasn't a test error? Did you really saw just the 33 items instead of 44 ?
Maybe start with empty list in Duplicate Content to eliminate a test error.

EDIT: Also, in the log I saw that you were testing build 2293, not 2294!
Debug line:
00000048 1:34:24 PM [8284] MM5 [7928](R) Version: 5.0.0.2293

Please re-test with 2295 and generate new debug log and start with empty list in Duplicate Content (to eliminate a test error).
Also a screencast video could help to replicate or narrow this down.
And also please test whether using the scrollbar after the "refresh" or clicking into the view changes something -- as it looks more like a render issue based on the log.

Ludek

2021-02-03 10:54

developer   ~0061708

Fixed in 2303 (same fix as for 0017483)

peke

2021-02-04 21:39

developer   ~0061742

Verified 2303

Working OK now.